<template>
    <div class="col-12">
        <h2>Gestion des Projets</h2>
        <br>
        <router-link :to="{path:'new'}" append>
            <button class="btn btn-info float-right but">Nouveau Projet</button>
        </router-link>
        <ProjectList v-bind:projects="projects" v-on:edit="edit" v-on:sprints="sprints" v-on:resources="resources" v-on:cahier="cahier" v-on:facture="facture"></ProjectList>
    </div>
</template>

<script>
import ProjectList from '@/components/shared/Projects.List.vue';
export default {
    components: {
        ProjectList
    },
    computed: {
        projects() {
            return this.$store.getters.getAllProjects;
        }
    },
    created() {
        this.$store.dispatch('setAllProjects');
    },
    methods: {
        edit(project) {
            this.$router.push({ path: project._id + "/edit", append: "true" });
        },
        sprints(project) {
            this.$router.push({ path: project._id + "/sprints", append: "true" });
        },
        resources(project) {
            this.$router.push({ path: project._id + "/resources", append: "true" });
        },
        cahier(project) {
            this.$router.push({ path: project._id + "/cahier", append: "true" });
        },
        facture(project) {
            this.$router.push({ path: project._id + "/facture", append: "true" });
        }
    }
}
</script>

<style scoped>
.but {
    margin-bottom: 50px;
}
</style>
